> ## Documentation Index
> Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Chatbot

> Fetch a particular chatbot



## OpenAPI

````yaml get /v0/chatbots/{chatbotId}
openapi: 3.0.0
info:
  title: SiteGPT API Collection
  description: >-
    This collection contains the documentation of all the API endpoints.

    ## Getting started guide

    To start using the SiteGPT APIs, you need to 

    - You must use a valid API Key to send requests to the API endpoints. You
    can get your API key from SiteGPT's [billing
    dashboard](https://sitegpt.ai/billing). If you don't see it there, contact
    admin to generate one for you.

    - The API returns request responses in JSON format. When an API request
    returns an error, it is sent in the JSON response as an error key.
        
    ## Authentication

    SiteGPT uses API keys for authentication. You can generate a SiteGPT API key
    in the [billing dashboard](https://sitegpt.ai/billing).


    You must include an API key in each request to the Postman API with the
    Authorization request header.


    Header Name : Authorization


    Header Value : Bearer {{your-api-key}}


    ### Authentication error response

    If an API key is missing, malformed, or invalid, you will receive an HTTP
    401 Unauthorized response code.


    ## Need some help?

    In case you have any questions, feel free to contact us.
  license:
    name: SiteGPT Terms and Conditions
    url: https://sitegpt.ai/terms
  version: 1.0.0
  contact:
    name: Bhanu Teja P
    email: bhanu@sitegpt.ai
    url: mailto:bhanu@sitegpt.ai
servers:
  - url: https://sitegpt.ai/api
security:
  - bearerAuth: []
tags:
  - name: Chatbot
    x-displayName: Chatbots
    description: >-
      APIs to manage different chatbots. APIs include `Fetching All Chatbots`,
      `Creating New Chatbot`, Fetching One Chatbot`, `Updating Chatbot
      Appearance` and `Deleting Chatbot`.
    x-mint:
      icon: message-bot
  - name: Chatbot Appearance
    x-displayName: Appearance
    description: APIs to update appearance of the chatbot.
    x-mint:
      icon: palette
  - name: Chatbot Custom Content
    x-displayName: Custom Content
    description: APIs to modify custom content of the chatbot.
    x-mint:
      icon: file-pen
  - name: Chatbot Follow Up Prompts
    x-displayName: Follow-up Prompts
    description: >-
      APIs to manage `Follow up Prompts` of a particular chatbot. APIs include
      `Fetching All Follow up Prompts`, `Adding New Follow up Prompt`, `Fetching
      One Follow up Prompt`, `Updating Follow up Prompt` and `Deleting Follow up
      Prompt`.
    x-mint:
      icon: message-arrow-up
  - name: Chatbot Icons
    x-displayName: Icons
    description: APIs to manage (add/update/delete) icons related to a particular chatbot.
    x-mint:
      icon: icons
  - name: Chatbot Links
    x-displayName: Content & Training
    description: >-
      APIs to fetch internal links of any url and to add certain links to a
      particular chatbot.
    x-mint:
      icon: book-open
  - name: Chatbot Messages
    x-displayName: Messages
    description: >-
      APIs to send a message to a particular thread or start a new conversation
      with in a particular chatbot.
    x-mint:
      icon: messages
  - name: Chatbot Personas
    x-displayName: Personas
    description: APIs to manage personas of the chatbot.
    x-mint:
      icon: user-tie
  - name: Chatbot Prompts
    x-displayName: Instructions
    description: APIs to manage prompts of the chatbot.
    x-mint:
      icon: message-text
  - name: Chatbot Conversation Starters
    x-displayName: Conversation Starters
    description: >-
      APIs to manage `Conversation Starters` of a particular chatbot. APIs
      include `Fetching All Conversation Starters`, `Adding New Conversation
      Starter`, `Fetching One Conversation Starter`, `Updating Conversation
      Starter` and `Deleting Conversation Starter`.
    x-mint:
      icon: bolt
  - name: Chatbot Settings
    x-displayName: Settings
    description: >-
      APIs to update different settings of the chatbot. APIs include `General
      Settings`, `User Data Settings`, `Chat Mode Settings`, `Localization
      Settings` and `Advanced Settings`.
    x-mint:
      icon: gear
  - name: Chatbot Threads
    x-displayName: Threads
    description: >-
      APIs to manage threads related to a particular chatbot. APIs include
      `Fetching All Threads`, `Fetching One Thread` and `Update Thread`.
    x-mint:
      icon: message-lines
  - name: Whitelabel
    x-displayName: Whitelabel (Deprecated)
    description: >-
      APIs to manage whitelabel users. APIs include `Create Whitelabel User` and
      `Update Whitelabel User Quota`.
    x-mint:
      icon: tag
paths:
  /v0/chatbots/{chatbotId}:
    get:
      tags:
        - Chatbot
      summary: Fetch Chatbot
      description: Fetch a particular chatbot
      operationId: fetch-chatbot
      parameters:
        - name: chatbotId
          description: Id of the chatbot
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                type: object
                description: Success Response
                properties:
                  success:
                    type: boolean
                    description: >-
                      Indicates whether this is success response or error
                      response
                  message:
                    type: string
                    description: Overall message regarding the operation performed
                  data:
                    type: object
                    description: Data returned from the server
                    properties:
                      chatbot:
                        $ref: '#/components/schemas/Chatbot'
              examples:
                Success:
                  value:
                    success: true
                    message: Fetched the chatbot successfully
                    data:
                      chatbot:
                        id: '365062873485935184'
                        title: My Bot
                        description: This is a test chatbot
                        createdById: '360596271623307865'
                        createdByEmail: saidheeraj.kumar04@gmail.com
                        suggestions:
                          - id: 538aa9ca-ef69-4a1a-a6a2-ba1f62f05c43
                            title: Contact us
                            description: How to contact you?
                            link: https://sitegpt.ai/contact-us
                          - id: 40ffc3fe-9d74-439c-bfec-8b0d69a94836
                            title: Yo
                            description: Hey what's up?
                        nextSuggestions:
                          - id: dd6480d7-33da-4943-a5f5-24d7593ec62e
                            title: Elaborate
                            link: ''
                            description: Explain this in layman language
                            isEscalationPrompt: false
                        prompts:
                          - id: 042686d9-b695-4dc5-aa11-58706284d45e
                            title: Random
                            description: Random prompt
                            instructions: You should provide random information
                            temperature: 0.9
                          - id: 78ac8ecd-d889-4700-8c8c-162c92731ff9
                            title: Factual
                            description: Factual Prompt
                            instructions: You should provide only facts
                            temperature: 0.1
                        settings:
                          mode: AGENT
                          tooltip: Want to know anything about the porduct?
                          welcomeMessage: Hello! How can I assist you today?
                          placeholderText: Ask me anything...
                          brandColor: '#2563eb'
                          hideSources: false
                          hideTooltip: false
                          hideWatermark: false
                          watermarkText: Powered by SiteGPT
                          watermarkIconSrcId: ''
                          watermarkLink: https://sitegpt.ai
                          distanceFromBottom: 16
                          horizontalDistance: 16
                          fontSize: 14
                          iconSize: SMALL
                          iconPosition: RIGHT
                          height: 85
                          ctaLink: ''
                          ctaText: ''
                          iconSrcId: ''
                          personIconSrcId: ''
                          brandTextColor: '#FFFFFF'
                          hideFeedbackButtons: false
                          rtl: false
                          agentIconSrcId: ''
                          bubbleIconSrcId: ''
                          localization:
                            learnMore: Learn more
                            chatHome:
                              home: Home
                              addDetails: Add details
                              startConversation: Start a conversation
                              starting: Starting...
                            chatMessages:
                              messages: Messages
                              noMessages: No Messages
                              loginToSeeHistory: >-
                                Verify your email to save your conversation
                                history.
                              historyShowsUpHere: Your conversation history shows up here.
                              verifyEmail: Verify your email
                              startConversation: Start a conversation
                              starting: Starting...
                            chatMessage:
                              botName: Bot
                              yourName: You
                              agentName: Agent
                              escalationHeading: >-
                                Are you sure you want to escalate the chat to
                                human support?
                              escalationSubHeading: >-
                                This conversation will be shared with the human
                                support and they will get back to you as soon as
                                they can.
                              yesContinue: Yes, continue
                              cancel: Cancel
                              conversationEscalated: 👨‍💼 Conversation changed to human mode
                            chatAccount:
                              account: Account
                              verifyEmail: Verify your email
                              loginToSeeHistory: Verify your email to save your chat history.
                              emailLabel: Email
                              nameLabel: Name
                              phoneLabel: Phone Number
                              sendingOtp: Sending OTP...
                              verifyOtp: Verify OTP
                              sentOtpToEmail: We sent the OTP to your email address
                              otp: OTP
                              verifyAndContinue: Verify & Continue
                              notReceivedOtpYet: Didn't receive OTP yet?
                              resend: Resend
                              editDetails: Edit Details
                              resetting: Resetting...
                              verifying: Verifying...
                              logout: Logout
                              loggingOut: Logging out...
                              verified: Verified
                              edit: Edit
                              update: Update
                              updating: Updating...
                          systemPrompt: >-
                            You are a funny AI assistant and you answer the user
                            queries based on the website content. Include jokes
                            in your answer.
                          userPrompt: >-
                            You are an AI assistant who answers user questions
                            based on the website content. Answer the questions
                            in the same language as the language of the
                            question.
                          promptId: 78ac8ecd-d889-4700-8c8c-162c92731ff9
                          historyCount: 4
                          temperature: 1
                          topK: 3
                          gptModel: gpt-3.5-turbo
                          collectUserDetails: DO_NOT_COLLECT
                          collectUserData:
                            name: false
                            phone: false
                          creativity: conservative
                          webhookUrl: https://example.com
                          webhookToken: abc123
                          extraData: ''
                          metadata:
                            key1: value1
                        customContent: null
        '400':
          description: Bad Request
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Validation Error:
                  value:
                    success: false
                    message: Failed to fetch the chatbot
                    data: null
                    error:
                      code: CHATBOT_ID_REQUIRED
                      message: chatbotId is required
                      details: null
        '401':
          description: Unauthorized
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Authentication Error:
                  value:
                    success: false
                    message: Failed to fetch the chatbot
                    data: null
                    error:
                      code: API_KEY_NOT_VALID
                      message: Authorization header does not contain valid API key
                      details: null
        '403':
          description: Forbidden
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Forbidden Error:
                  value:
                    success: false
                    message: Failed to fetch the chatbot
                    data: null
                    error:
                      code: CHATBOT_FETCH_FORBIDDEN
                      message: You are not authorized to fetch this chatbot
                      details: null
        '405':
          description: Method Not Allowed
          headers:
            Content-Type:
              schema:
                type: string
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Method Not Allowed Error:
                  value:
                    success: false
                    message: Failed to fetch the chatbot
                    data: null
                    error:
                      code: REQUEST_METHOD_NOT_ALLOWED
                      message: POST request method is not allowed
                      details: null
        '500':
          description: Internal Server Error
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
              description: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Server Error:
                  value:
                    success: false
                    message: Failed to fetch the chatbot
                    data: null
                    error:
                      code: FETCH_CHATBOT_FAILED
                      message: Some technical error has occurred !!
                      details: null
components:
  schemas:
    Chatbot:
      type: object
      description: Chatbot
      properties:
        id:
          type: string
          description: Id of the chatbot
        title:
          type: string
          description: Title of the chatbot
        description:
          type: string
          description: Description of the chatbot
        createdById:
          type: string
          description: Id of the user that created this chatbot
        createdByEmail:
          type: string
          description: Email of the user that created this chatbot
        customContent:
          type: string
          description: Custom content of the chatbot
          nullable: true
        suggestions:
          type: array
          description: Quick prompts of the chatbot
          items:
            $ref: '#/components/schemas/QuickPrompt'
        prompts:
          type: array
          description: List of prompts set by the user
          items:
            $ref: '#/components/schemas/ChatbotPrompt'
        nextSuggestions:
          type: array
          description: Follow-up prompts of the chatbot
          items:
            $ref: '#/components/schemas/FollowUpPrompt'
        settings:
          $ref: '#/components/schemas/ChatbotSettings'
    ErrorResponse:
      type: object
      description: Error Response
      properties:
        success:
          type: boolean
          description: Indicates that this is error response
        message:
          type: string
          description: Overall error message regarding the operation performed
        data:
          type: object
          description: Data returned from the API. This will be `null` for errors
          nullable: true
        error:
          type: object
          description: Object with the error details
          properties:
            code:
              type: string
              description: Based on this error code, you can identify what is the error
            message:
              type: string
              description: The message indicating the reason for the error
            details:
              type: array
              description: More details on the error. Applicable only for Validation errors
              nullable: true
              items:
                type: object
                properties:
                  path:
                    type: array
                    description: >-
                      Specifies the path in request body where error occurred.
                      If the error field is nexted, then this array length will
                      be more than 1.
                    items:
                      oneOf:
                        - type: string
                          description: Specifies the name of the field
                        - type: integer
                          description: Specifies the position in an array
                  message:
                    type: string
                    description: Reason for the error of the path mentioned before
    QuickPrompt:
      type: object
      description: Chatbot Conversation Starter
      properties:
        id:
          type: string
          description: Id of the conversation-starter
        title:
          type: string
          description: >-
            Title of the conversation-starter. This is the text that is shown as
            button in the chatbot.
        link:
          type: string
          description: >-
            Link of the conversation starter. If this link is not null, then
            when you click on the conversation starter in the chatbot, this link
            will be opened instead of sending a message to the chatbot.
          nullable: true
        description:
          type: string
          description: >-
            Description of the conversation-starter. This is the message that
            will be sent to the chatbot when you click on the
            conversation-starter inside the chatbot.
    ChatbotPrompt:
      title: ChatbotPrompt
      type: object
      description: Chatbot Prompt
      properties:
        id:
          type: string
          description: Id of the prompt
        title:
          type: string
          description: Title of the prompt
        description:
          type: string
          description: Short description of the prompt
        instructions:
          type: string
          description: Actual instructions of the prompt. These will be sent to Open AI.
        temperature:
          type: number
          minimum: 0
          maximum: 1
          multipleOf: 0.01
          description: >-
            Decides creativity level of the chatbot response. 0 is more focused
            and 1 is more creative/random.
    FollowUpPrompt:
      type: object
      description: Follow Up Prompt
      properties:
        id:
          type: string
          description: Id of the follow-up prompt.
        title:
          type: string
          description: >-
            Title of the follow-up-prompt. This is the text that is shown as
            button in the chatbot.
        link:
          type: string
          description: >-
            Link of the follow-up prompt. If this link is not null, then when
            you click on the follow-up prompt in the chatbot, this link will be
            opened instead of sending a message to the chatbot.
          nullable: true
        description:
          type: string
          description: >-
            Description of the follow-up-prompt. This is the message that will
            be sent to the chatbot when you click on the follow-up-prompt inside
            the chatbot.
        isEscalationPrompt:
          type: boolean
          description: 'Indicates whether the follow-up prompt is escalation prompt or not. '
    ChatbotSettings:
      title: Chatbot-Settings
      type: object
      description: Settings of the chatbot
      properties:
        tooltip:
          type: string
          description: >-
            This tooltip will be shown on the top of chatbot icon. If not set,
            welcome message will be shown as tooltip
          nullable: true
        welcomeMessage:
          type: string
          description: The first message that the users will see in the chatbot
          nullable: true
        placeholderText:
          type: string
          description: >-
            Placeholder text that users see before they type their question in
            the chat
          nullable: true
        brandColor:
          type: string
          description: Primary color of the chatbot
          nullable: true
        brandTextColor:
          type: string
          description: Primary text color of the chatbot
          nullable: true
        hideSources:
          type: boolean
          description: Indicates whether to display sources or not in the chatbot
          nullable: true
        hideTooltip:
          type: boolean
          description: Indicates whether to hide tooltip or not in the chatbot
          nullable: true
        hideFeedbackButtons:
          type: boolean
          description: >-
            Indicates whether to hide feedback buttons (for each reply) or not
            in the chatbot
          nullable: true
        rtl:
          type: boolean
          description: >-
            Indicates whether to display the text in the chatbot right to left
            or opposite
          nullable: true
        watermarkText:
          type: string
          description: Text to be shown as the watermark in the chatbot
          nullable: true
        autoOpenChatWindowInDesktop:
          type: string
          enum:
            - ALWAYS_OPEN_WITH_DELAY
            - DONT_OPEN
          description: Option to handle behaviour auto open chat window in desktop
          nullable: true
        autoOpenChatWindowDelayInDesktop:
          type: integer
          description: >-
            Delay after which the chat window will shown in desktop when
            autoOpenChatWindowInDesktop is set to AUTO_OPEN_WITH_DELAY
          nullable: true
        autoOpenChatWindowInMobile:
          type: string
          enum:
            - ALWAYS_OPEN_WITH_DELAY
            - DONT_OPEN
          description: Option to handle behaviour auto open chat window in mobile
          nullable: true
        autoOpenChatWindowDelayInMobile:
          type: integer
          description: >-
            Delay after which the chat window will shown in mobile when
            autoOpenChatWindowInMobile is set to AUTO_OPEN_WITH_DELAY
          nullable: true
        hideWatermark:
          type: boolean
          description: Indicates whether the watermark is shown in the chatbot or not
          nullable: true
        watermarkLink:
          type: string
          description: Url of the watermark to be shown in the chatbot
          nullable: true
        distanceFromBottom:
          type: integer
          description: Distance from bottom (in px) where the chatbot icon should be shown
          nullable: true
        horizontalDistance:
          type: integer
          description: Horizantal distance (in px) where the chatbot icon should be shown
          nullable: true
        fontSize:
          type: integer
          description: Font size of the text shown in chatbot (in px)
          nullable: true
        iconSize:
          $ref: '#/components/schemas/ChatbotIconSize'
        iconPosition:
          $ref: '#/components/schemas/ChatbotIconPosition'
        height:
          type: number
          description: Height of the chatbot
          nullable: true
        ctaText:
          type: string
          description: Call to Action text
          nullable: true
        ctaLink:
          type: string
          description: Call to Action Link
          nullable: true
        localization:
          $ref: '#/components/schemas/ChatbotLocalizationSettings'
        maxWidth:
          type: number
          description: Max width of the chatbot
        iconSrcId:
          type: string
          description: Url reference of the Bot icon
          nullable: true
        personIconSrcId:
          type: string
          description: Url reference of the User/person icon
          nullable: true
        agentIconSrcId:
          type: string
          description: Url reference of the Agent icon
          nullable: true
        watermarkIconSrcId:
          type: string
          description: Url reference of the Watermark icon
          nullable: true
        bubbleIconSrcId:
          type: string
          description: Url reference of the Chat Buuble icon
          nullable: true
        systemPrompt:
          type: string
          description: >-
            Use this to change the tone of your chatbot and also give any
            additional instructions
          nullable: true
        userPrompt:
          type: string
          description: >-
            Use this to change the instructions you give to your chatbot in the
            user prompt
          nullable: true
        promptId:
          type: string
          description: >-
            Selected promptId that will be used as prompt to generate Open AI
            response
          nullable: true
        disableSmartFollowUpPrompts:
          type: boolean
          description: Option to disable smart followup questions generated by SiteGPT.
          nullable: true
        smartFollowUpPromptsCount:
          type: integer
          default: 3
          minimum: 1
          maximum: 5
          multipleOf: 1
          description: Number of smart follow up questions to be shown when enabled.
          nullable: true
        disableLeadNotifications:
          type: boolean
          description: Option to disable email notifications for new lead captures.
          nullable: true
        historyCount:
          type: integer
          description: >-
            Number of history messages to be considered when answering the
            question
          minimum: 0
          maximum: 50
          multipleOf: 1
          nullable: true
        temperature:
          type: number
          minimum: 0
          maximum: 2
          multipleOf: 0.01
          description: >-
            Creativity meter of the chatbot. This is valid only when creativity
            of the chatbot is custom
          nullable: true
        topK:
          type: number
          description: Number of relevant chunks to be fetched for answering the question
          minimum: 1
          maximum: 5
          multipleOf: 1
          nullable: true
        gptModel:
          $ref: '#/components/schemas/GPTModel'
        creativity:
          $ref: '#/components/schemas/ChatbotCreativity'
        webhookUrl:
          type: string
          description: >-
            All messages are sent to this global webhook url if webhook url is
            not configured at thread level
          nullable: true
        webhookToken:
          type: string
          description: >-
            This is the global webhook token that is sent in header in the calls
            made to the above webhook url for all messages if token is not
            configured at thread level
          nullable: true
        mode:
          $ref: '#/components/schemas/ChatMode'
        collectUserDetails:
          $ref: '#/components/schemas/CollectUserDetails'
        collectUserData:
          type: object
          description: This object has information what all user data needs to be collected
          properties:
            name:
              type: boolean
              description: Indicates whether to collect user name or not
            phone:
              type: boolean
              description: Indicates whether to collect user phone number or not
        extraData:
          type: string
          description: Any extra data you want to add to your chatbot.
          nullable: true
        metadata:
          type: object
          description: >-
            Any metadata (key-value pairs) that you can assign to the chatbot.
            Key should be string and Value could be anything.
          nullable: true
    ChatbotIconSize:
      title: Chatbot-Icon-Size
      description: Possible options foe icon size of the chatbot
      enum:
        - SMALL
        - MEDIUM
        - LARGE
        - XL
        - 2XL
        - 3XL
        - 4XL
        - 5XL
    ChatbotIconPosition:
      title: Chatbot-Icon-Position
      description: Possible options for icon position of the chatbot
      enum:
        - LEFT
        - RIGHT
    ChatbotLocalizationSettings:
      title: Chatbot-Localization-Settings
      type: object
      description: Localization settings of the chatbot
      properties:
        learnMore:
          type: string
          description: Localization option for `Learn more` option
          nullable: true
        chatHome:
          $ref: '#/components/schemas/ChatbotLocalizationChatHome'
        chatMessages:
          $ref: '#/components/schemas/ChatbotLocalizationChatMessages'
        chatMessage:
          $ref: '#/components/schemas/ChatbotLocalizationChatMessage'
        chatAccount:
          $ref: '#/components/schemas/ChatbotLocalizationChatAccount'
    GPTModel:
      title: GPT-Model
      enum:
        - gpt-3.5-turbo
        - gpt-4
      description: All available GPT models
    ChatbotCreativity:
      title: Chatbot-Creativity
      description: Options of the creativity for the chatbot
      enum:
        - restricted
        - conservative
        - creative
        - custom
    ChatMode:
      title: Chat-Mode
      description: Mode of the chat
      enum:
        - AI
        - AGENT
    CollectUserDetails:
      title: CollectUserDetails
      description: Options whether to collect user details or not
      enum:
        - MANDATORY
        - OPTIONAL
        - DO_NOT_COLLECT
    ChatbotLocalizationChatHome:
      title: Chatbot-Localization-ChatHome
      type: object
      description: Localization settings for home screen in the chatbot
      properties:
        home:
          type: string
          description: Text to be replaced for `Home` in home screen
        addDetails:
          type: string
          description: Text to be replaced for `Add details` in home screen
        startConversation:
          type: string
          description: Text to be replaced for `Start a conversation` in home screen
        starting:
          type: string
          description: Text to be replaced for `Starting...` in home screen
    ChatbotLocalizationChatMessages:
      title: Chatbot-Localization-ChatMessages
      type: object
      description: Localization settings for messages screen in the chatbot
      properties:
        messages:
          type: string
          description: Text to be replaced for `Messages` in messages screen
        noMessages:
          type: string
          description: Text to be replaced for `No Messages` in messages screen
        loginToSeeHistory:
          type: string
          description: >-
            Text to be replaced for `Verify your email to save your conversation
            history.` in messages screen
        historyShowsUpHere:
          type: string
          description: >-
            Text to be replaced for `Your conversation history shows up here.`
            in messages screen
        verifyEmail:
          type: string
          description: Text to be replaced for `Verify your email` in messages screen
        startConversation:
          type: string
          description: Text to be replaced for `Start a conversation` in messages screen
        starting:
          type: string
          description: Text to be replaced for `Starting...` in messages screen
    ChatbotLocalizationChatMessage:
      title: Chatbot-Localization-ChatMessage
      type: object
      description: Localization settings for individual conversations in the chatbot
      properties:
        botName:
          type: string
          description: Text to be replaced for `Bot` in individual conversations
        yourName:
          type: string
          description: Text to be replaced for `You` in individual conversations
        agentName:
          type: string
          description: Text to be replaced for `Agent` in individual conversations
        escalationHeading:
          type: string
          description: >-
            Text to be replaced for `Are you sure you want to escalate the chat
            to human support?` in individual conversations
        escalationSubHeading:
          type: string
          description: >-
            Text to be replaced for `This conversation will be shared with the
            human support and they will get back to you as soon as they can.` in
            individual conversations
        yesContinue:
          type: string
          description: Text to be replaced for `Yes, continue` in individual conversations
        cancel:
          type: string
          description: Text to be replaced for `Cancel` in individual conversations
        conversationEscalated:
          type: string
          description: >-
            Text to be replaced for `👨‍💼 Conversation changed to human mode`
            in individual conversations
    ChatbotLocalizationChatAccount:
      title: Chatbot-Localization-ChatAccount
      type: object
      description: Localization settings for account screen in the chatbot
      properties:
        account:
          type: string
          description: Text to be replaced for `Account` in account screen
        verifyEmail:
          type: string
          description: Text to be replaced for `Verify your email` in account screen
        loginToSeeHistory:
          type: string
          description: >-
            Text to be replaced for `Verify your email to save your chat
            history` in account screen
        emailLabel:
          type: string
          description: Text to be replaced for `Email` in account screen
        nameLabel:
          type: string
          description: Text to be replaced for `Name` in account screen
        phoneLabel:
          type: string
          description: Text to be replaced for `Phone Number` in account screen
        submit:
          type: string
          description: Text to be replaced for `Submit` in account screen
        sendingOtp:
          type: string
          description: Text to be replaced for `Sending OTP...` in account screen
        verifyOtp:
          type: string
          description: Text to be replaced for `Verify OTP` in account screen
        sentOtpToEmail:
          type: string
          description: >-
            Text to be replaced for `We sent the OTP to your email address` in
            account screen
        otp:
          type: string
          description: Text to be replaced for `OTP` in account screen
        verifyAndContinue:
          type: string
          description: Text to be replaced for `Verify & Continue` in account screen
        notReceivedOtpYet:
          type: string
          description: Text to be replaced for `Didn't receive OTP yet?` in account screen
        resend:
          type: string
          description: Text to be replaced for `Resend` in account screen
        editDetails:
          type: string
          description: Text to be replaced for `Edit Details` in account screen
        resetting:
          type: string
          description: Text to be replaced for `Resetting...` in account screen
        verifying:
          type: string
          description: Text to be replaced for `Verifying...` in account screen
        logout:
          type: string
          description: Text to be replaced for `Logout` in account screen
        loggingOut:
          type: string
          description: Text to be replaced for `Logging out...` in account screen
        verified:
          type: string
          description: Text to be replaced for `Verified` in account screen
        edit:
          type: string
          description: Text to be replaced for `Edit` in account screen
        update:
          type: string
          description: Text to be replaced for `Update` in account screen
        updating:
          type: string
          description: Text to be replaced for `Updating...` in account screen
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````